Page MenuHomePhabricator

tb-updater onion mirros downloads support
Closed, ResolvedPublic

Description

With TPO infrastructure using onions, its now a good idea to switch tb-updater to check for version info and downloads to these more secure mirrors.


Extra and unnecessary consideration:

If its ever planned to have tb-updater used as an alternative to Micah's TBB downloader on Debian hosts, it needs to be able to revert to using clearnet addresses depending on output of something like virt-what.

Details

Impact
Normal

Event Timeline

HulaHoop created this task.May 31 2017, 2:49 PM
Patrick changed the task status from Open to testing-in-next-build-required.Jan 22 2019, 8:16 AM
Patrick claimed this task.

With TPO infrastructure using onions, its now a good idea to switch tb-updater to check for version info and downloads to these more secure mirrors.

Implemented optional --onion.

Can also be set through environment variable.

export tb_onion=true

Or through config /etc/torbrowser.d/50_user.conf.

tb_onion=true

https://github.com/Whonix/tb-updater/commit/9f758e241d1a699de96de0784a9e6cf93fe0d440

If its ever planned to have tb-updater used as an alternative to Micah's TBB downloader on Debian hosts, it needs to be able to revert to using clearnet addresses depending on output of something like virt-what.

Not implemented.

Patrick closed this task as Resolved.Jan 23 2019, 5:45 AM